﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace WarmlyShip
{
	internal class EntityMotorShip : EntityWarmlyShip
	{
		public Color DopColor { get; private set; }
		public bool Tubes { get; private set; }
		public bool Cistern { get; private set; }

		public EntityMotorShip(int speed, float weight, Color bodyColor, Color dopColor, bool tubes, bool cistern) : base(speed, weight, bodyColor)
		{
			DopColor = dopColor;
			Tubes = tubes;
			Cistern = cistern;
		}

	}
}
 