﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace WarmlyShip
{
	public class EntityWarmlyShip
	{
		public int Speed { get; private set; } //Скорость
		public float Weight { get; private set; } //Вес
		public Color BodyColor { get; private set; } //Цвет
		public float Step => Speed * 100 / Weight; //Шаг при перемещении

		//Инициализация
		public EntityWarmlyShip(int speed, float weight, Color bodyColor)
		{
			Random random = new Random();
			Speed = speed <= 0 ? random.Next(100, 300) : speed;
			Weight = weight <= 0 ? random.Next(1000, 2000) : weight;
			BodyColor = bodyColor;
		}
	}
}
